Update a Custom Segment
Updates the name and/or description of a custom segment
Query Parameters
- Type: stringname
Updated name of the custom segment
- Type: stringdescription
Updated description of the custom segment
- Type: stringcustom
_segment _id Unique ID of the custom segment that will be updated. This ID is generated by Punchh when the custom segment is created.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Responses
- application/json
- application/json
Request Example for patch/api2/dashboard/custom_segments
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/custom_segments?name=&description=&custom_segment_id=' \
--request PATCH \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Accept: application/json'
{
"custom_segment_id": 15401,
"name": "Updated Name - Dummy Custom Segment",
"description": "Updated Description - Request to create dummy custom segment.",
"created_at": "2018-01-10T10:33:14Z",
"updated_at": "2018-01-10T10:37:21Z"
}